## libchemistry-formula-perl 3.0.1

=== debian/changelog ===
libchemistry-formula-perl (3.0.1-1) unstable; urgency=low

  * New upstream release
  * Upgrade to Source-Format 3.0 (quilt)
  * Add build-indep and build-arch targets
  * Upgrade to Standards-Version 3.9.2

 -- Carlo Segre <segre@debian.org>  Sat, 30 Jul 2011 15:47:16 -0500

libchemistry-formula-perl (1.0.1-2) unstable; urgency=low

  * Add Replaces stanza to ease upgrade from old horae

 -- Carlo Segre <segre@debian.org>  Tue, 03 Mar 2009 09:19:58 -0600

libchemistry-formula-perl (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #517943)

 -- Carlo Segre <segre@debian.org>  Mon, 02 Mar 2009 20:44:26 -0600

libchemistry-formula-perl (1.0.0-1) unstable; urgency=low

  * Initial unofficial package

 -- Carlo Segre <segre@debian.org>  Sat, 26 Jul 2008 18:19:32 -0500
