=== debian/control ===
Source: libchemistry-formula-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: perl (>= 5.8.8), libchemistry-elements-perl,
	libregexp-common-perl, libreadonly-perl
Maintainer: Carlo Segre <segre@debian.org>
Standards-Version: 3.9.2
Homepage: http://cars9.uchicago.edu/~ravel/software/

Package: libchemistry-formula-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libchemistry-elements-perl,
	libregexp-common-perl, libreadonly-perl
Replaces: horae (<< 067)
Homepage: http://cars9.uchicago.edu/~ravel/software/
Description: enumerate elements in a chemical formula
 This module provides a function which parses a string containing a
 chemical formula and returns the number of each element in the string.
 It can handle nested parentheses and square brackets and correctly
 computes stoichiometry given numbers outside the (possibly nested)
 parentheses.
