=== debian/rules ===
#!/usr/bin/make -f
# This debian/rules file is provided as a template for perl packages 
# using the Module::Build system.  It was written by Carlo Segre and 
# may be freely used.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# If set to a true value then MakeMaker's prompt function will
# always return the default without waiting for user input.
export PERL_MM_USE_DEFAULT=1

PACKAGE=$(shell dh_listpackages)

ifndef PERL
PERL = /usr/bin/perl
endif

TMP = $(CURDIR)/debian/$(PACKAGE)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir

	# Generate the Build script and run it
	$(PERL) Build.PL destdir=$(TMP)
	./Build build
	./Build test
	touch $@

# Use "clean: unpatch" if patches required
clean:
	dh_testdir
	dh_testroot

	dh_clean build-stamp install-stamp

	# Clean up all directories and the Build script
	[ ! -f Build ] || ./Build realclean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	# Install package in temporary directory
	./Build install --installdirs vendor
	# remove .packlist
	rm -rf $(TMP)/usr/lib/perl5/auto
	# remove empty dirs if they exist
	[ ! -d $(TMP)/usr/bin ] || rmdir --parents --ignore-fail-on-non-empty --verbose $(TMP)/usr/bin
	[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --parents --ignore-fail-on-non-empty --verbose $(TMP)/usr/lib/perl5

	touch $@

binary-arch:
# We have nothing to do here for an architecture-dependent package

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_installdocs
	dh_installchangelogs
	dh_perl
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
